# List

`GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules/{schedule_id}/subscriptions`

List schedule subscriptions.

API scopes: dashboards

## Path parameters

- `dashboard_id` (string, optional)
  UUID identifying the dashboard which the subscriptions belongs.
  Example: `04aab30f99ea444490c10c85852f216c`
- `schedule_id` (string, optional)
  UUID identifying the schedule which the subscriptions belongs.
  Example: `01ef0cb45e2a1da4a61950e9b8789ce9`

## Query parameters

- `page_size` (int32, optional)
  The number of subscriptions to return per page.
  Default: `20`
  Constraints: `[ 1 .. 100 ]`
- `page_token` (string, optional)
  A page token, received from a previous `ListSubscriptions` call.
   Use this to retrieve the subsequent page.
  Example: `EAI=`

## Returns

Returns a list of Subscription objects.

## Response

```json
{
  "subscriptions": [
    {
      "subscription_id": "01ee9e6f2a2c1a8d9273d3c3e852fc2b",
      "schedule_id": "01ef0cb45e2a1da4a61950e9b8789ce9",
      "dashboard_id": "04aab30f99ea444490c10c85852f216c",
      "subscriber": {},
      "created_by_user_id": "3294322584244938",
      "etag": "80611980",
      "create_time": "string",
      "update_time": "string",
      "skip_notify": true
    }
  ],
  "next_page_token": "EAI="
}
```

